Summary: Time-modules module for Perl 
Name: perl-Time-modules
Version: 2006.0814
Release: 2%{?_dist_release}
License: Distributable
Group: Development/Libraries
Source0: Time-modules-%{version}.tar.gz
Url: http://www.cpan.org/dist/Time-modules/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004
Requires: perl >= 5.004
BuildArch: noarch

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n Time-modules-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find %{buildroot}%{_prefix} -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%doc README CHANGELOG
%{_mandir}/*/*
%dir %{perl_vendorlib}/Time

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2006.0814-2
- rebuild with perl-5.12.3

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2006.0814-1vl5
- applied new versioning policy
- rebuilt with perl-5.10.0

* Tue Sep 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2006.0814-0vl1
- new upstream release
- changed Group to Development/Libraries

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 2003.1126-0vl1
- new upstream release
- built with perl-5.8.6

* Sun Jun 15 2003 IWAI Masaharu <iwai@alib.jp> 2003.0211-0vl1
- first build for Vine Linux
